<%_ if (position === 'import') { _%>
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import <%= packageName %>.job.service.dto.XxlJobGroupDTO;
import java.util.List;
import java.util.stream.Collectors;
<%_ } _%>
<%_ if (position === 'methodInterface') { _%>
<%_ } _%>
<%_ if (position === 'method') { _%>

    public List<XxlJobGroupDTO> findByAddressType(int i) {
        LambdaQueryWrapper<XxlJobGroup> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(XxlJobGroup::getAddressType, i);
        queryWrapper.orderBy(true, true, XxlJobGroup::getAppName, XxlJobGroup::getTitle, XxlJobGroup::getId);
        return xxlJobGroupRepository.selectList(queryWrapper).stream().map(xxlJobGroupMapper::toDto).collect(Collectors.toList());
    }

<%_ } _%>
